//-----------------------------------------------------------------------------
// Title      : bsp_ub003_mk3_7segment
//-----------------------------------------------------------------------------
// Funktion   : 7Segment Test
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 06.02.2010
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_KEY.h>
#include <ub_mk3_2560/MK3_2560_7SEG.h>

//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-K und Port-B muss gesetzt sein
// - das Programm zeigt eine Zahl an (0...F)
// - mit dem Joystick (up/down) kann die Zahl verandert werden
// - mit Joystick Enter wird die Zahl ausgeblendet
//-----------------------------------------------------------------------------
int main (void)
{
	JOYTYP joy=JOY_NONE;
	char wert=0,n=0;

	MK3_INIT_KEY();				// init der Tasten
	MK3_INIT_7SEG();			// init der 7Segment

	MK3_7SEG_ZAHL(wert);		// zahl anzeigen

	while (true)
	{
		
		joy=MK3_JOY(); // joystick abfragen
		switch(joy) 
		{
			case JOY_NONE : n=0;break;
			case JOY_UP : 
			  if(n==0) {
			    n=1;
			    if(wert<15) wert=wert+1;
			    MK3_7SEG_ZAHL(wert);
			  };break;
			case JOY_DOWN : 
			  if(n==0) {
			    n=1;
			    if(wert>0) wert=wert-1;
			    MK3_7SEG_ZAHL(wert);
			  };break;
			case JOY_ENTER : 
			  // zahl ausblenden
			  MK3_7SEG_ZAHL(99);
			;break;
		}
	}
	return 0;
}
//-----------------------------------------------------------------------------
