//-----------------------------------------------------------------------------
// MK3_2560_7SEG
// Version 1.2
// 02.11.2011 / UB
// "www.Mikrocontroller-4U.de"
// mc-4u(@)t-online.de
//-----------------------------------------------------------------------------
// Fuer das myAVR MK3 Board
// mit ATMega-2560 @ 16MHz
// 7Segment-Ausgabe
// 7Segment an PortB Bit0 bis Bit7
// Quick-Jumper PortB muss gesetzt sein
//-----------------------------------------------------------------------------
// das File muss im Ordner
// "myAVR/WinAVR/AVR/Include/UB_MK3_2560/"
// liegen und mit #include <UB_MK3_2560/MK3_2560_7SEG.h>
// eingebunden werden
//-----------------------------------------------------------------------------
// Belegt : Port-B (komplett)
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Hier koennen Funktionen die nicht benutzt werden
// abgeschaltet werden...einfach den DEFINE von "1" auf "0" aendern
//-----------------------------------------------------------------------------

#define USE_MK3_7SEG_ZAHL 1

//-----------------------------------------------------------------------------
// INFOS zur Benutzung :
// 01. Funktion "MK3_INIT_7SEG" starten
// 02. Funktion "MK3_7SEG_ZAHL" zeigt eine Zahl (0...F) auf der 7Segment an
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Enumerationen fuer die Funktioen
//-----------------------------------------------------------------------------

// keine


//-----------------------------------------------------------------------------
// Funktionen die vom MAIN benutzt werden koennen
//-----------------------------------------------------------------------------
void MK3_INIT_7SEG(void);	// zum initialisieren der 7Segment
void MK3_7SEG_ZAHL(unsigned char wert);	// zum anzeigen einer Zahl (0...F)
//-----------------------------------------------------------------------------



//-----------------------------------------------------------------------------
// Port-Pin definition
//-----------------------------------------------------------------------------
#define MK3_DDR_7SEG DDRB	// DDR-Register der 7Segment
#define MK3_PORT_7SEG PORTB	// Port der 7Segment



//-----------------------------------------------------------------------------
void MK3_INIT_7SEG(void) {	// zum initialisieren der 7Segment
  // alles initialisieren
  // als Ausgang
  // alle LEDs AUS
  MK3_DDR_7SEG = 0xFF;
  MK3_PORT_7SEG = 0x00; 
}

//-----------------------------------------------------------------------------
#if USE_MK3_7SEG_ZAHL==1

//-----------------------------------------------------------------------------
unsigned char font7seg [] =
{
	0x3F, // 0  Index0
	0x06, // 1 
	0x5B, // 2
	0x4F, // 3
	0x66, // 4
	0x6D, // 5
	0x7D, // 6 
	0x07, // 7 
	0x7F, // 8
	0x6F, // 9 
	0x77, // A   Index10
	0x7C, // B 
	0x39, // C 
	0x5E, // D 
	0x79, // E 
	0x71, // F 
	0x00 // Off  Index16
};

//-----------------------------------------------------------------------------
void MK3_7SEG_ZAHL(unsigned char wert) {	// zum anzeigen einer Zahl (0...F)
  if(wert<=15) {
    MK3_PORT_7SEG=font7seg[wert];
  }
  else {
    // wenn zahl > 15 dann alle Segmente AUS
    MK3_PORT_7SEG=font7seg[16];
  }
}
#endif






